Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_Encoding Class Reference

ACEXML_Encoding. More...

`#include <ACEXML/common/Encoding.h>`

List of all members.

## Public Types
enum | { UCS4BE, UCS4LE, UCS4_2143, UCS4_3412, UTF16BE, UTF16LE, UTF8, OTHER }
## Static Public Member Functions
const ACEXML_Char * | get_encoding (const char *input)
## Public Attributes
enum ACEXML_Encoding:: { ... } | ENCODING
## Static Public Attributes
const ACEXML_Char * | encoding_names_ [8]
const ACEXML_UTF8 | byte_order_mark_ [][4]
const ACEXML_UTF8 | magic_values_ [][4]

## Detailed Description

ACEXML_Encoding.

Wrapper class for determining the encoding of a file or a byte stream.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  UCS4BE |
  UCS4LE |
  UCS4_2143 |
  UCS4_3412 |
  UTF16BE |
  UTF16LE |
  UTF8 |
  OTHER |

## Member Function Documentation

const ACEXML_Char * ACEXML_Encoding::get_encoding | ( | const char * | input | ) | `[static]`

## Member Data Documentation

const ACEXML_UTF8 ACEXML_Encoding::byte_order_mark_[][4]`[static]`

enum { ... } ACEXML_Encoding::ENCODING

const ACEXML_Char * ACEXML_Encoding::encoding_names_`[static]`

| Initial value:
     {
      ACE_TEXT ("UCS-4BE"),
      ACE_TEXT ("UCS-4LE"),
      ACE_TEXT ("UCS-4_2143"),
      ACE_TEXT ("UCS-4_3412"),
      ACE_TEXT ("UTF-16"),
      ACE_TEXT ("UTF-16"),
      ACE_TEXT ("UTF-8"),

    }

const ACEXML_UTF8 ACEXML_Encoding::magic_values_[][4]`[static]`

The documentation for this class was generated from the following files:

- Encoding.h
- Encoding.cpp